package Package;

import java.io.File;

public class MiTree {
	
	static int cont = 1;
	
	public static void main(String args[]) {
		String ruta=".";
		
	    if (args.length>=1) ruta = args[0];
	    File file = new File(ruta);
		
		treeRecursividad(file);
		
		
	}

	private static void treeRecursividad(File file) {	
		if(!file.exists()) 
			return;
				
		for(File f : file.listFiles()) {
			if(f.isDirectory()) {
				cont++;
				print(f);
				treeRecursividad(f);
			} else {
				print(f);
			}
		}		
		
	}
	
	private static void print(File f) {
		String tab = "    ";
		
		
		if(cont != 1) {
			for(int i = 1;i<cont;i++) {
				String masTab = "|    ";
				tab.concat(masTab);
			}
		}
		System.out.println(tab+f.getName());
	}

}
